%define scl rh-python36
%{?scl:%scl_package %{name}}
%{!?scl:%global pkg_name %{name}}

%define name Flask-Migrate
%define version 2.5.1
%define unmangled_version 2.5.1
%define unmangled_version 2.5.1
%define release 1

Summary: SQLAlchemy database migrations for Flask applications using Alembic
%{?scl:Requires: %{scl}-runtime}
%{?scl:BuildRequires: %{scl}-runtime}
Name: %{?scl_prefix}Flask-Migrate
Version: %{version}
Release: %{release}
Source0: Flask-Migrate-%{unmangled_version}.tar.gz
License: MIT
Group: Development/Libraries
BuildRoot: %{_tmppath}/Flask-Migrate-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Miguel Grinberg <miguelgrinberg50@gmail.com>
Packager: Martin Juhl <m@rtinjuhl.dk>
Url: http://github.com/miguelgrinberg/flask-migrate/


%description

Flask-Migrate
--------------

SQLAlchemy database migrations for Flask applications using Alembic.



%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%setup -n Flask-Migrate-%{unmangled_version} -n Flask-Migrate-%{unmangled_version}
%{?scl:EOF}


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
python3 setup.py build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
python3 setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
%{?scl:EOF}


%clean
%{?scl:scl enable %{scl} - << \EOF}
set -ex
rm -rf $RPM_BUILD_ROOT
%{?scl:EOF}


%files -f INSTALLED_FILES
%defattr(-,root,root)
